aboutsummaryrefslogtreecommitdiff
path: root/build-android/update_external_sources_android.sh
diff options
context:
space:
mode:
authorCody Northrop <cnorthrop@google.com>2016-11-14 15:48:08 -0700
committerCody Northrop <cnorthrop@google.com>2016-11-14 15:48:23 -0700
commitb4b15c89e0c303bb50af95b6bb2ef135fc9ee789 (patch)
treeb2bd0738a4b9f586a97b3c2975d0033de5578808 /build-android/update_external_sources_android.sh
parent777330260ba48304867b9d41f888c2c819f4ef6d (diff)
downloadusermoji-b4b15c89e0c303bb50af95b6bb2ef135fc9ee789.tar.xz
android: Add default core count in case ncpus not available
Diffstat (limited to 'build-android/update_external_sources_android.sh')
-rwxr-xr-xbuild-android/update_external_sources_android.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/build-android/update_external_sources_android.sh b/build-android/update_external_sources_android.sh
index 53a5880c..183ed136 100755
--- a/build-android/update_external_sources_android.sh
+++ b/build-android/update_external_sources_android.sh
@@ -32,7 +32,7 @@ echo "SPIRV_TOOLS_REVISION=$SPIRV_TOOLS_REVISION"
echo "SHADERC_REVISION=$SHADERC_REVISION"
if [[ $(uname) == "Linux" ]]; then
- cores=$(ncpus)
+ cores=$(ncpus || echo 4)
elif [[ $(uname) == "Darwin" ]]; then
cores=$(sysctl -n hw.ncpu)
fi